HappHapp Docs
Auth

Refresh access token

POST
/api/auth/refresh

Generates new access and refresh tokens using a valid refresh token

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/auth/refresh" \  -H "Content-Type: application/json" \  -d '{    "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."  }'
{  "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",  "refreshToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",  "expiresIn": "15m"}
Empty
Empty